<?php
if (!defined('_GNUBOARD_')) exit; // 개별 페이지 접근 불가

function feed_filter($subject, $content, $filter, $cnt) {

	if(!$cnt) return 0;

	$content = trim(get_text($subject.' '.$content));

	if(!$content) return 0;

	for ($i=0; $i < $cnt; $i++) {

		$str = trim($filter[$i]);

		if(!$str) continue;

		// 필터링
		$pos = stripos($content, $str);

		if ($pos !== false) 
			return 1;
	}

    return 0;
}

// 내용 변환
function feed_conv_content($content) {
	$source = array();
	$target = array();

	$source[] = "//";
	$target[] = "";
	$source[] = "/\n/";
	$target[] = "";

	$content = preg_replace($source, $target, $content);

    return $content;
}

// 피드 등록
function feed_update_board($furl, $fcate, $fsubject, $fcontent, $flink, $fdate, $mb_id, $name, $password, $email, $homepage, $level, $as_icon) {
	global $g5, $board, $bo_table, $write_table, $boset;

	if(!$flink || !$fsubject) return;

	$fwr_num = get_next_num($write_table);
	$fcontent = addslashes($fcontent);
	if($board['as_save']) {
		 $fcontent = apms_content_image($fcontent);
	}

	$sql = " insert into $write_table
                set wr_num = '$fwr_num',
                    ca_name = '".addslashes($fcate)."',
                    wr_option = 'html1,,',
					as_icon = '".addslashes($as_icon)."',
					wr_subject = '".addslashes($fsubject)."',
                    wr_content = '".$fcontent."',
                    wr_link1 = '".addslashes($flink)."',
                    wr_link2 = '".addslashes($furl)."',
                    mb_id = '{$mb_id}',
                    as_level = '{$level}',
					wr_password = '{$password}',
                    wr_name = '".addslashes($name)."',
                    wr_email = '".addslashes($email)."',
                    wr_homepage = '".addslashes($homepage)."',
					wr_datetime = '$fdate',
					wr_last = '".G5_TIME_YMDHIS."',
                    wr_ip = '$_SERVER[REMOTE_ADDR]'
                    ";
    sql_query($sql);

    $wr_id = sql_insert_id();

	// 이미지글 체크
	$wrt = array("chk_img"=>true, "wr_id"=>$wr_id, "wr_option"=>'', "wr_content"=>stripslashes($fcontent), "wr_link1"=>$flink, "wr_link2"=>'');
	$p_image = true;
	$p_thumb = apms_wr_thumbnail($bo_table, $wrt, 0, 0);
	if(!$p_thumb) {
		$p_image = false;	
		$p_thumb = 1;
	}

	// 동영상글 체크 - 링크 URL만 체크
	$p_video = (apms_video($flink)) ? true : false;

	// 글타입정리
	if($p_image && $p_video) { //이미지도 있고, 비디오도 있으면
		$as_list = 3;
	} else if(!$p_image && $p_video) { //이미지 없고, 비디오 있으면
		$as_list = 2;
	} else if($p_image && !$p_video) { //이미지 있고, 비디오 없으면
		$as_list = 1;
	} else { // 모두 없으면
		$as_list = 0;
	}

	// 글업데이트
	sql_query(" update {$write_table} set wr_parent = '{$wr_id}', as_list = '{$as_list}', as_thumb = '".addslashes($p_thumb)."' where wr_id = '{$wr_id}' ", false);

    // 새글 등록
    if($boset['new']) {
		sql_query(" insert into {$g5['board_new_table']} ( bo_table, wr_id, wr_parent, bn_datetime, mb_id, as_list) values ( '{$bo_table}', '{$wr_id}', '{$wr_id}', '{$fdate}', '{$mb_id}', '{$as_list}' ) ");
	}
	
	// 포인트 등록
	if($mb_id && $board['bo_write_point']) {
        insert_point($mb_id, $board['bo_write_point'], "{$board['bo_subject']} {$wr_id} 글쓰기", $bo_table, $wr_id, '쓰기');
	}

	// 네이버 신디
	if($boset['syndi']) {
		naver_syndi_ping($bo_table, $wr_id);
	}
}

function apms_feed_json($fraw) {
	global $boset;

	if($fraw['feed'] == "youtube") {
		if($fraw['rows'] > 50) {
			$fraw['rows'] = 50;
		} else if($fraw['rows'] > 0) {
			;
		} else {
			$fraw['rows'] = 20;
		}

		$url = 'https://www.googleapis.com/youtube/v3/search?part=snippet&order=date&maxResults='.$fraw['rows'].'&key='.$boset['youtube_key'];

		if($fraw['channel']) {
			$url .= '&channelId='.$fraw['channel'];
        } elseif($fraw['playlist']) {
            $url = 'https://www.googleapis.com/youtube/v3/playlistItems?part=snippet&maxResults='.$fraw['rows'].'&key='.$boset['youtube_key'].'&playlistId='.$fraw['playlist'];
		} else {
			$url .= '&type=video';
		}

		if($fraw['q']) {
			$qs = explode(",", $fraw['q']);
			$stx = '';
			for($i=0; $i < count($qs); $i++) {
				if($i > 0) $stx .= "+";
				$stx .= urlencode($qs[$i]);
			}
			$url .= '&q='.$stx;
		}

    } else if($fraw['feed'] == "instagram") {
        if($fraw['rows'] > 20)  $fraw['rows'] = 20;
        else $fraw['rows'] = $fraw['rows'];

        if($fraw['userid'])
        $url = "https://api.instagram.com/v1/users/".$fraw['userid']."/media/recent/?access_token=".$boset['accesstoken']."&count=".$fraw['rows'];
        else $url = "https://api.instagram.com/v1/tags/".$fraw['tag']."/media/recent?access_token=".$boset['accesstoken']."&count=".$fraw['rows'];

	} else if($fraw['feed'] == "vimeo") {

		if(!$fraw['user'])
			return;

		$url = 'http://vimeo.com/api/v2/'.$fraw['user'].'/videos.json';
	} else {
		return;
	}

    $ch = curl_init();
    curl_setopt($ch, CURLOPT_URL, $url);
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
    curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, 0);
    curl_setopt($ch, CURLOPT_HEADER, 0);
    curl_setopt($ch, CURLOPT_HTTPHEADER, array('Content-type:application/json'));
    if(($fraw['feed'] == "youtube") or ($fraw['feed'] == "instagram")) {
    //if($fraw['feed'] == "youtube") {
        $json = json_decode(curl_exec($ch));
	} else {
	    $json = json_decode(curl_exec($ch), true);
	}
    curl_close($ch);

    return $json;
}

function feed_delete($feed_del) {
	global $g5, $bo_table, $write_table, $board;

	if(!$feed_del) return 0;

	// 공지제외
	$notice_array = array();
	$notice_arr = explode(',', trim($board['bo_notice']));
	for($i=0; $i < count($notice_arr); $i++) {
		$notice_arr[$i] = trim($notice_arr[$i]);

		if(!$notice_arr[$i]) continue;

		$notice_array[] = $notice_arr[$i];
	}

	$notice_sql = (count($notice_array) > 0) ? "and wr_id not in (".implode(', ', $notice_array).")" : "";

	//여분필드 1번을 수집제외글 체크용, 여분필드 2번은 자동삭제 제외글용으로 사용
	$tmp_array = array();
	$result = sql_query(" select wr_id from $write_table where wr_is_comment = 0 and wr_datetime < '{$feed_del}' and (wr_1 <> '1' or wr_2 <> '1') $notice_sql order by wr_id desc");
	while ($row = sql_fetch_array($result)) {
		$tmp_array[] = $row['wr_id'];
	}

	$tmp_cnt = count($tmp_array);

	if(!$tmp_cnt) return 0;

	// 거꾸로 읽는 이유는 답변글부터 삭제가 되어야 하기 때문임
	for ($i=$tmp_cnt-1; $i>=0; $i--) {

		$write = sql_fetch(" select * from $write_table where wr_id = '$tmp_array[$i]' ");

		$len = strlen($write['wr_reply']);
		if ($len < 0) $len = 0;
		$reply = substr($write['wr_reply'], 0, $len);

		// 원글만 구한다.
		$sql = " select count(*) as cnt from $write_table where wr_reply like '$reply%' and wr_id <> '{$write['wr_id']}' and wr_num = '{$write['wr_num']}' and wr_is_comment = 0 ";
		$row = sql_fetch($sql);
		if ($row['cnt'])
				continue;

		// 나라오름님 수정 : 원글과 코멘트수가 정상적으로 업데이트 되지 않는 오류를 잡아 주셨습니다.
		//$sql = " select wr_id, mb_id, wr_comment from {$write_table} where wr_parent = '{$write[wr_id]}' order by wr_id ";
		$sql = " select wr_id, mb_id, wr_is_comment, wr_content, as_thumb from $write_table where wr_parent = '{$write['wr_id']}' order by wr_id ";
		$result = sql_query($sql);
		while ($row = sql_fetch_array($result)) {
			// 원글이라면
			if (!$row['wr_is_comment']) {
				// 원글 포인트 삭제
				//if (!delete_point($row['mb_id'], $bo_table, $row['wr_id'], '쓰기'))
					//insert_point($row['mb_id'], $board['bo_write_point'] * (-1), "{$board['bo_subject']} {$row['wr_id']} 글 삭제");

				// 업로드된 파일이 있다면
				$sql2 = " select * from {$g5['board_file_table']} where bo_table = '$bo_table' and wr_id = '{$row['wr_id']}' ";
				$result2 = sql_query($sql2);
				while ($row2 = sql_fetch_array($result2)) {
					// 파일삭제
					@unlink(G5_DATA_PATH.'/file/'.$bo_table.'/'.$row2['bf_file']);

					// 썸네일삭제
					if(preg_match("/\.({$config['cf_image_extension']})$/i", $row2['bf_file'])) {
						delete_board_thumbnail($bo_table, $row2['bf_file']);
					}
				}

				// 에디터 썸네일 삭제
				delete_editor_thumbnail($row['wr_content']);

				// 에디터 이미지 삭제
				apms_editor_image($row['wr_content']);

				// 동영상 이미지 삭제
				apms_video_thumbnail($row['as_thumb']);

				// 파일테이블 행 삭제
				sql_query(" delete from {$g5['board_file_table']} where bo_table = '$bo_table' and wr_id = '{$row['wr_id']}' ");

				$count_write++;
			} else {
				// 코멘트 포인트 삭제
				//if (!delete_point($row['mb_id'], $bo_table, $row['wr_id'], '댓글'))
					//insert_point($row['mb_id'], $board['bo_comment_point'] * (-1), "{$board['bo_subject']} {$write['wr_id']}-{$row['wr_id']} 댓글삭제");

				$count_comment++;
			}
		}

		// 게시글 삭제
		sql_query(" delete from $write_table where wr_parent = '{$write['wr_id']}' ");

		// 최근게시물 삭제
		sql_query(" delete from {$g5['board_new_table']} where bo_table = '$bo_table' and wr_parent = '{$write['wr_id']}' ");

		// 스크랩 삭제
		sql_query(" delete from {$g5['scrap_table']} where bo_table = '$bo_table' and wr_id = '{$write['wr_id']}' ");

		// 내글반응 삭제
		sql_query(" delete from {$g5['apms_response']} where bo_table = '$bo_table' and wr_id = '{$write['wr_id']}' ", false);

		// 태그로그 삭제
		sql_query(" delete from {$g5['apms_tag_log']} where bo_table = '$bo_table' and wr_id = '{$write['wr_id']}' ", false);

		// 이벤트 삭제
		sql_query(" delete from {$g5['apms_event']} where bo_table = '$bo_table' and wr_id = '{$write['wr_id']}' ", false);

		// 설문 삭제
		sql_query(" delete from {$g5['apms_poll']} where bo_table = '$bo_table' and wr_id = '{$write['wr_id']}' ", false);

		// 플레이목록
		sql_query(" delete from {$g5['apms_playlist']} where bo_table = '$bo_table' and wr_id = '{$write['wr_id']}' ", false);

		// 신고글
		sql_query(" delete from {$g5['apms_shingo']} where bo_table = '$bo_table' and wr_id = '{$write['wr_id']}' ", false);

		$bo_notice = board_notice($board['bo_notice'], $write['wr_id']);
		sql_query(" update {$g5['board_table']} set bo_notice = '$bo_notice' where bo_table = '$bo_table' ");
		$board['bo_notice'] = $bo_notice;
	}

	// 글숫자 감소
	if ($count_write > 0 || $count_comment > 0)
		sql_query(" update {$g5['board_table']} set bo_count_write = bo_count_write - '$count_write', bo_count_comment = bo_count_comment - '$count_comment' where bo_table = '$bo_table' ");

	delete_cache_latest($bo_table);

	return 1;
}

// 동영상 변환
function apms_conv_feed_video($link) {

	if(!$link) return;

	// 비디오, 오디오 체크
	$vext = array("mp4", "m4v", "f4v", "mov", "flv", "webm", "acc", "m4a", "f4a", "mp3", "ogg", "oga", "rss");

	list($link_video) = explode("|", $link);
		
	$file = apms_get_filename($link_video);

	$str = '';
	if(isset($file['ext']) && $file['ext'] && in_array($file['ext'], $vext)) {
		if(apms_jwplayer($link_video)) {
			$str = '<p>{동영상:'.$link_video.'|file=1}</p>';
		}
	} else {
		$video = apms_video_info($link_video);
		if(isset($video['vid']) && $video['vid']) {
			$str = '<p>{동영상:'.$link_video.'}</p>';
		}
	}

	return $str;
}

// 동영상 iframe 얻기
function apms_feed_video($contents) {

	if(!$contents)
        return $contents;

	preg_match_all("/<iframe([^>]*)>/iS", $contents, $matches);

    if(empty($matches))
        return $contents;

    for($i=0; $i<count($matches[1]); $i++) {
		$video_tag = $matches[0][$i];
		$video = apms_query($matches[1][$i]);
		$video_txt = apms_conv_feed_video($video['src']);
		$contents = str_replace($video_tag, $video_txt, $contents);
	}

    return $contents;
}
?>
